Katello - Bug #36288

Wrong listing of Content Views which contain Files
04/10/2023 09:20 PM - Samir Jha

Status: Closed
Priority: Normal
Assignee: Samir Jha
Category: Content Views
Target version: Katello 4.11.0
Difficulty: Fixed in Releases: Katello 4.10.0
Triaged: Yes Found in Releases:
Bugzilla link: 2026701 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/106
22
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2026701

Description of problem:
Wrong listing of Content Views which are contain Files

Version-Release number of selected component (if applicable):
6.8.6
6.9.6.1

How reproducible:
Always

Steps to Reproduce:

1. Create product

2. Create repository type file

3. Upload 1 files to repository

4. Create content view and assign file repository

5. Publish CV version 1.0

6. Create and publish random Content View with random content

Actual results:
Content -> Files -> select -> Content Views shows all published versions of all Content Views

Expected results:
Content -> Files -> select -> Content Views should show only Content View versions which really contains file in question.

Additional info:
Similar as BZ 1654323 which was closed as WONTFIX due to priorities.

Associated revisions

Revision 3c41dfee - 07/21/2023 01:59 PM - Samir Jha
Fixes #36288 - Wrong listing of Content Views which contain Files (#10622)

History

#1 - 04/12/2023 05:43 PM - Lucy Fu

- Subject changed from Wrong listing of Content Views which are contain Files
to Wrong listing of Content Views which are contain Files

- Target version set to Katello Backlog

- Triaged changed from No to Yes

#2 - 06/15/2023 08:05 PM - Samir Jha

- Subject changed from Wrong listing of Content Views which are contain Files to Wrong listing of Content Views which contain Files
#3 - 06/15/2023 08:05 PM - Samir Jha
- Target version changed from Katello Backlog to Katello 4.11.0

#4 - 06/20/2023 08:54 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Samir Jha

- Pull request https://github.com/Katello/katello/pull/10622 added

#5 - 07/21/2023 01:59 PM - The Foreman Bot
- Fixed in Releases Katello 4.10.0 added

#6 - 07/21/2023 02:00 PM - Samir Jha
- Status changed from Ready For Testing to Closed

Applied in changeset katello|3c41dfeef4fObcd35b0bc3e4a892cf4b340be65f.
